import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

class DefaultActivitySettings {
  // available game parameters codes
  static const String parameterCodeBoardSize = 'boardSize';
  static const String parameterCodeColorsCount = 'colorsCount';
  static const List<String> availableParameters = [
    parameterCodeBoardSize,
    parameterCodeColorsCount,
  ];

  // board size: available values
  static const String boardSizeValueSmall = '6';
  static const String boardSizeValueMedium = '10';
  static const String boardSizeValueLarge = '16';
  static const String boardSizeValueExtraLarge = '24';
  static const List<String> allowedBoardSizeValues = [
    boardSizeValueSmall,
    boardSizeValueMedium,
    boardSizeValueLarge,
    boardSizeValueExtraLarge,
  ];
  // board size: default value
  static const String defaultBoardSizeValue = boardSizeValueLarge;

  // colors count: available values
  static const String colorsCountVeryLow = '4';
  static const String colorsCountLow = '5';
  static const String colorsCountMedium = '6';
  static const String colorsCountHigh = '7';
  static const List<String> allowedColorsCountValues = [
    colorsCountVeryLow,
    colorsCountLow,
    colorsCountMedium,
    colorsCountHigh,
  ];
  // colors count: default value
  static const String defaultColorsCountValue = colorsCountMedium;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeBoardSize:
        return DefaultActivitySettings.allowedBoardSizeValues;
      case parameterCodeColorsCount:
        return DefaultActivitySettings.allowedColorsCountValues;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }
}
